import { SoundSet } from './interfaces/sound-set';
export declare class SoundManager {
    private soundSet;
    private data;
    constructor(soundSet?: SoundSet);
    setSoundSet(soundSet: SoundSet): void;
    handleSound(type: string, data?: any): void;
    private handleEditSound;
    private handleSelectorSound;
    private handleSliderSound;
    private handleFocusSound;
    private handleOpenSound;
    private handleCloseSound;
    private handleChooseSound;
    private handleCheckboxSound;
}
